Get fee by ID
https://api.propexo.com/v1/fees/:fee_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the fee
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
8f8d80c026256e01d03852aaa3e0e145d790c8b6a4937ce62c65ed60af21aab3The external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
greenbayThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for YARDI_REST
nullThe external ID of the charge code from the integration vendor
This field will always be null for YARDI_REST
nullThe external ID of the floor plan from the integration vendor
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
1bed1bathThe external ID of the unit from the integration vendor
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
312441The amount of the fee, in cents
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
1425The raw value for amount from the PMS
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
14.25The name of the charge code
This field will always be null for YARDI_REST
nullDescription of the fee
This field will always be null for YARDI_REST
nullThe name associated with the fee
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
Admincustom_data object | nullrequired
Custom data
Custom data
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
YARDI_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the floor plan
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
cm0406pu32914429310aeby3p1vv9jqdThe Propexo unique identifier for the unit
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
cm0406pu32914429249gt3y8z1uemttwThe Propexo unique identifier for the charge code
This field will always be null for YARDI_REST
nullErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/fees/:fee_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "8f8d80c026256e01d03852aaa3e0e145d790c8b6a4937ce62c65ed60af21aab3",
"x_property_id": "greenbay",
"x_location_id": null,
"x_charge_code_id": null,
"x_floor_plan_id": "1bed1bath",
"x_unit_id": "312441",
"amount_in_cents": 1425,
"amount_raw": "14.25",
"charge_code_name": null,
"description": null,
"name": "Admin",
"custom_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI_REST",
"property_id": "clwi5xiix000008l6ctdgafyh",
"floor_plan_id": "cm0406pu32914429310aeby3p1vv9jqd",
"unit_id": "cm0406pu32914429249gt3y8z1uemttw",
"charge_code_id": null
}
}